summaryrefslogtreecommitdiffstats
path: root/source/xap/pan/pan.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/pan/pan.SlackBuild')
-rwxr-xr-xsource/xap/pan/pan.SlackBuild30
1 files changed, 14 insertions, 16 deletions
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index a7dec1693..fb7db80ab 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2018, 2019, 2021, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pan
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev | tr -d v)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -63,9 +63,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
+rm -rf ${PKGNAM}-*${VERSION}
+tar xvf $CWD/${PKGNAM}-*$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-*$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -75,24 +75,22 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Fix gmime3 errors and building with glib-2.68.0:
-zcat $CWD/pan.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
-
-# Build with enchant-2:
-zcat $CWD/pan.enchant2.diff.gz | patch -p1 --verbose || exit 1
-
-zcat $CWD/pan.gcc11.diff.gz | patch -p1 --verbose || exit 1
-
# Configure:
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--localstatedir=/var/lib \
--sysconfdir=/etc \
--mandir=/usr/man \
- --without-gtk3 \
--with-gnutls \
- --with-gmime30 \
--with-gmime-crypto \
--with-gtkspell \
--enable-libnotify \